/ / Django 1.5: Python 2.7 ou Python 3 - django, python-2.7, python-3.x

Django 1.5: Python 2.7 ou Python 3 - django, python-2.7, python-3.x

Django vient de sortir sa version 1.5.

Il supporte maintenant Python 3, ma question est tout à faitsimple en effet: avec cette version 1.5, devrais-je toujours utiliser Python 2.7 ou Python 3? Je suppose qu'avec Python 3, il y aura des problèmes avec les applications tierces non?

Dans votre cas, que feriez-vous?

Réponses:

5 pour la réponse № 1

Les notes de publication indiquent clairement que le support de Python 3 dans 1.5 est expérimental. Et oui, les applications tierces seront un problème.


0 pour la réponse № 2

Si je commençais un nouveau développement que jeJe ne m'attendais pas à ce que la version 1.6 soit lancée bien après la sortie de la version 1.6 (lorsque le support de Python 3 est censé être prêt pour la production, et si tout va bien pour les applications tierces), alors oui, j'irais avec Python 3. plus propre que Python 2.7.

Mais si vous souhaitez que votre site soit opérationnel dans un avenir proche, respectez le 2.7.


0 pour la réponse № 3

Je voudrais quand même utiliser python 2.7 car de nombreuses applications et bibliothèques ne sont pas prêtes pour python 3.x

PIL ne fonctionne pas correctement avec python 3